Package org.eclipse.graphiti.ui.internal.parts

# Interface IGFAdapter

All Superinterfaces:
  `org.eclipse.ui.model.IWorkbenchAdapter`, `org.eclipse.ui.model.IWorkbenchAdapter2`

All Known Implementing Classes:
  `GFAdapter`

public interface IGFAdapter extends org.eclipse.ui.model.IWorkbenchAdapter, org.eclipse.ui.model.IWorkbenchAdapter2
The Interface IGFAdapter.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.ecore.EObject[]`
`getBusinessObjects(Object object)`
Gets the business objects.
`PictogramElement`
`getPictogramElement(Object object)`
Gets the pictogram element.

### Methods inherited from interface org.eclipse.ui.model.IWorkbenchAdapter

`getChildren, getImageDescriptor, getLabel, getParent`

### Methods inherited from interface org.eclipse.ui.model.IWorkbenchAdapter2

`getBackground, getFont, getForeground`

## Method Details

### getPictogramElement

PictogramElement getPictogramElement(Object object)
Gets the pictogram element.

Parameters:
  `object` - the object
Returns:
  the pictogram element

### getBusinessObjects

org.eclipse.emf.ecore.EObject[] getBusinessObjects(Object object)
Gets the business objects.

Parameters:
  `object` - the object
Returns:
  the business objects